/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.WorkAndPayment;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class EmployeeWork {
    public void logEmployeeWork() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public static Vector listEmployeeWork() {
        return new Vector();
    }

    private int interval;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ManuMgmt.Process.ManuProcessDetail lnkUnnamed;
    private int payPeriodNumber;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ExpensePayment lnkUnnamed1;
}


